Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class KEADeriveParameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.parameters.KEADeriveParameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

public class KEADeriveParameters
extends java.lang.Object
implements Parameters

This class encapsulates parameters for the Mechanism.KEA_KEY_DERIVE.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`protected boolean` | `isSender_` Option for generating the key (called a TEK).
`protected byte[]` | `publicData_` The other party's KEA public key value.
`protected byte[]` | `randomA_` The Ra data.
`protected byte[]` | `randomB_` The Rb data.

Constructor Summary
`KEADeriveParameters(boolean isSender, byte[] randomA, byte[] randomB, byte[] publicData)` Create a new KEADeriveParameters object with the given attributes.

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`java.lang.Object` | `getPKCS11ParamsObject()` Get this parameters object as an object of the CK_KEA_DERIVE_PARAMS class.
`byte[]` | `getPublicData()` Get the other party's KEA public key value.
`byte[]` | `getRandomA()` Get the random data Ra.
`byte[]` | `getRandomB()` Get the random data Rb.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`boolean` | `isSender()` Get the option for generating the key (called a TEK).
`void` | `setPublicData(byte[] publicData)` Set the other party's KEA public key value.
`void` | `setRandomA(byte[] randomA)` Set the random data Ra.
`void` | `setRandomB(byte[] randomB)` Set the random data Rb.
`void` | `setSender(boolean isSender)` Set the option for generating the key (called a TEK).
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### isSender_

    protected boolean isSender_

  Option for generating the key (called a TEK). The value is TRUE if the sender (originator) generates the TEK, FALSE if the recipient is regenerating the TEK.

### randomA_

    protected byte[] randomA_

  The Ra data.

### randomB_

    protected byte[] randomB_

  The Rb data.

### publicData_

    protected byte[] publicData_

  The other party's KEA public key value.

Constructor Detail

### KEADeriveParameters

    public KEADeriveParameters(boolean isSender,
                               byte[] randomA,
                               byte[] randomB,
                               byte[] publicData)

  Create a new KEADeriveParameters object with the given attributes.
  Parameters:
    `isSender` - Option for generating the key (called a TEK). The value is TRUE if the sender (originator) generates the TEK, FALSE if the recipient is regenerating the TEK.
    `randomA` - The random data Ra.
    `randomB` - The random data Rb.
    `publicData` - The other party's KEA public key value.

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### getPKCS11ParamsObject

    public java.lang.Object getPKCS11ParamsObject()

  Get this parameters object as an object of the CK_KEA_DERIVE_PARAMS class.
  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a CK_KEA_DERIVE_PARAMS object.

### getPublicData

    public byte[] getPublicData()

  Get the other party's KEA public key value.
  Returns:
    The other party's KEA public key value.

### getRandomA

    public byte[] getRandomA()

  Get the random data Ra.
  Returns:
    The random data Ra.

### getRandomB

    public byte[] getRandomB()

  Get the random data Rb.
  Returns:
    The random data Rb.

### isSender

    public boolean isSender()

  Get the option for generating the key (called a TEK).
  Returns:
    True if the sender (originator) generates the TEK, false if the recipient is regenerating the TEK.

### setPublicData

    public void setPublicData(byte[] publicData)

  Set the other party's KEA public key value.
  Parameters:
    `publicData` - The other party's KEA public key value.

### setRandomA

    public void setRandomA(byte[] randomA)

  Set the random data Ra.
  Parameters:
    `randomA` - The random data Ra.

### setRandomB

    public void setRandomB(byte[] randomB)

  Set the random data Rb.
  Parameters:
    `randomB` - The random data Rb.

### setSender

    public void setSender(boolean isSender)

  Set the option for generating the key (called a TEK).
  Parameters:
    `isSender` - True if the sender (originator) generates the TEK, false if the recipient is regenerating the TEK.

### toString

    public java.lang.String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash code of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18